zenilib: glnames Namespace Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Functions | Variables
glnames Namespace Reference

## Classes

class | StringNode
class | StringTable

## Functions

def | adobe_glyph_values
def | dump_array
def | dump_encoding
def | filter_glyph_names
def | main

## Variables

string | adobe_glyph_list
| mac_standard_names = \
| sid_standard_names = \
| t1_expert_encoding = \
| t1_standard_encoding = \

## Function Documentation

def glnames.adobe_glyph_values | ( |  | ) |

    return the list of glyph names and their unicode values

Definition at line 5152 of file glnames.py.

Referenced by main().

def glnames.dump_array | ( |  | the_array,
|  |  | write,
|  |  | array_name
| ) |  |

    dumps a given encoding

Definition at line 5210 of file glnames.py.

Referenced by main().

def glnames.dump_encoding | ( |  | file,
|  |  | encoding_name,
|  |  | encoding_list
| ) |  |

    dump a given encoding

Definition at line 5186 of file glnames.py.

Referenced by main().

def glnames.filter_glyph_names | ( |  | alist,
|  |  | filter
| ) |  |

    filter `alist' by taking _out_ all glyph names that are in `filter'

Definition at line 5171 of file glnames.py.

Referenced by main().

def glnames.main | ( | void |  | ) |

    main program body

Definition at line 5238 of file glnames.py.

References adobe_glyph_values(), dump_array(), dump_encoding(), and filter_glyph_names().

## Variable Documentation

string glnames.adobe_glyph_list

Definition at line 420 of file glnames.py.

glnames.mac_standard_names = \

Definition at line 42 of file glnames.py.

glnames.sid_standard_names = \

Definition at line 156 of file glnames.py.

glnames.t1_expert_encoding = \

Definition at line 379 of file glnames.py.

glnames.t1_standard_encoding = \

Definition at line 340 of file glnames.py.